Bug 527448 - evince-thumbnailer runs at 100% cpu and never stops
Summary: evince-thumbnailer runs at 100% cpu and never stops
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg
Version: 20
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 12:59 UTC by Torbjørn Lindahl
Modified: 2016-02-01 01:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 11:29:22 UTC
Type: ---


Attachments (Terms of Use)
proposed patch (2.40 KB, patch)
2010-11-04 17:52 UTC, Tom Lane
no flags Details | Diff

Description Torbjørn Lindahl 2009-10-06 12:59:23 UTC
Description of problem:
evince-thumbnailer seems to hang, using 100% cpu

Version-Release number of selected component (if applicable):
evince-2.26.2-1.fc11.x86_64

How reproducible:
Questionable, have not identified a way to safely reproduce.

Steps to Reproduce:
1. Install Fedora 11
2. Use the opreating system for "normal" office type of tasks
3. Check top or gkrellm or another system monitor to see that evince-thumbnailer uses 100%  cpu and never stops.
  
Actual results:
evince-thumbnailer runs on 100% for a long period of time

Expected results:
evince-thumbnailer does not run on 100% for a long period of time


Additional info:
Another time this happened, evince-thumbnailer seemed to eat filesystem space at ~ 3mbyte/sec until filesystem (in this case /home) was out of free space.

LC_ALL=en_US sudo lsof /your/mountpoint|grep delete

listed .xsession-errors several times at that point.

Comment 2 Bug Zapper 2009-11-16 13:18:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Marek Kašík 2010-07-23 07:55:53 UTC
Hi Torbjorn,

do you still see the problem with updated system?

Regards

Marek

Comment 4 Torbjørn Lindahl 2010-08-01 22:55:25 UTC
Hi, no, I later found out that it was a particular pdf file that caused this. It had errors in it and I'm guessing the thumbnailer failed misserably trying to create a thumb for it in nautilus.

Risk is low but severity high, a faulty pdf file shouldnt be allowed to eat all available disk space. effectively dos'ing the local user session.

Comment 5 Marek Kašík 2010-08-02 08:39:31 UTC
Hi,

could you post here, or send me the pdf? I would like to have a look at it.

Marek

Comment 6 Torbjørn Lindahl 2010-09-07 15:18:09 UTC
I emailed it to the address I found under your name.

Comment 7 Marek Kašík 2010-09-08 07:01:47 UTC
Hi Torbjorn,

thank you for the file :). I'll look at it later, I'm little busy these days.

Marek

Comment 8 Marek Kašík 2010-09-09 10:48:08 UTC
Hi,

according to https://bugs.freedesktop.org/show_bug.cgi?id=23503, it seems that this is an openjpeg bug. I'm reassigning this to openjpeg.

Regards

Marek

P.S.: in the upstream bug is a pdf which reproduces the problem too

Comment 9 Bug Zapper 2010-11-04 09:37:40 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Tom Lane 2010-11-04 17:13:18 UTC
Problem is still there as of openjpeg 1.3-9

Comment 11 Tom Lane 2010-11-04 17:52:13 UTC
Created attachment 457895 [details]
proposed patch

This patch stops this particular failure and some related ones; but frankly this code doesn't look like it can ever be made robust without a ground-up rewrite.

Comment 12 Fedora Admin XMLRPC Client 2012-01-11 10:38:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Max Alex 2012-09-08 09:24:22 UTC
Duplicate bug with https://bugzilla.redhat.com/show_bug.cgi?id=844163

Comment 14 Fedora End Of Life 2013-04-03 18:39:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 15 Fedora End Of Life 2015-01-09 16:13:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-02-17 13:15:09 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Fedora End Of Life 2015-05-29 08:36:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-29 11:29:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.